body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: black;
  background: url('ADOP.png') repeat center center fixed;;
}

.container {
  width: 80%;
  margin: 20px auto;
  padding: 20px;
  margin-top: 90px;
  background-color: white;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h1 {
  text-align: center;
}

textarea {
  width: 100%;
  height: 150px;
  padding: 5px;
  margin: -4px;
  margin-bottom: 30px;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 16px;
  background-color: lightgray;
}

button {
  display: block;
  width: 100%;
  padding: 10px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 4px;
  font-size: 16px;
  cursor: pointer;
}

button:hover {
  background-color: #06235a;
}

#results {
  margin: 20px 0;
  background-color: lightgrey;
}

#results h2 {
  text-align: center;
}

#wordFrequencies, #commonPatterns {
  margin-top: 10px;
}

.result-item {
  margin: 5px 0;
}

/* Media queries for responsiveness */

/* For tablets and smaller desktops */
@media screen and (max-width: 1024px) {
  body {
      background-size: cover;
  }
}

/* For smaller devices like smartphones */
@media screen and (max-width: 768px) {
  h1 {
      font-size: 2em;
  }

  p {
      font-size: 1em;
  }
}